﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class TICKETS_HtmlChart_2017_Q1_Chart_Templates_Chart_Templates : System.Web.UI.Page
{
	protected void Page_Load(object sender, System.EventArgs e)
	{
		//data bound chart
		var columnSeries = new ColumnSeries()
		{
			DataFieldY = "Price"
		};
		Chart.PlotArea.Series.Add(columnSeries);

		Chart.PlotArea.XAxis.DataLabelsField = "Name";



		Chart.PlotArea.Series[0].TooltipsAppearance.ClientTemplate = "Value: #: dataItem.Price # with category: #: dataItem.Name #";
		//also possible with
		//Chart.PlotArea.Series[0].TooltipsAppearance.ClientTemplate = "Value: #: value # with category: #: category #";

		Chart.DataSource = GetData();
		Chart.DataBind();

		//populated items
		var columnSeries2 = new ColumnSeries();
		columnSeries2.SeriesItems.Add(1);
		columnSeries2.SeriesItems.Add(2);
		columnSeries2.SeriesItems.Add(3);

		Chart2.PlotArea.Series.Add(columnSeries2);

		Chart2.PlotArea.XAxis.Items.Add("item1");
		Chart2.PlotArea.XAxis.Items.Add("item2");
		Chart2.PlotArea.XAxis.Items.Add("item3");

		Chart2.PlotArea.Series[0].TooltipsAppearance.ClientTemplate = "Value: #: value # with category: #: category #";
	}

	private DataTable GetData()
	{
		DataTable dataTeable = new DataTable();
		dataTeable.Columns.Add("Id", Type.GetType("System.Int32"));
		dataTeable.Columns.Add("Name", Type.GetType("System.String"));
		dataTeable.Columns.Add("Price", Type.GetType("System.Double"));
		dataTeable.Rows.Add(1, "Pen", 100);
		dataTeable.Rows.Add(2, "Audio book", 200);
		dataTeable.Rows.Add(3, "Pencil", 300);
		dataTeable.Rows.Add(4, "Book", 400);
		return dataTeable;
	}
}